
function mudfish_adclean_d296a20a021e92bc9b37198bfe632e50() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.custom_code.board_top`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_d296a20a021e92bc9b37198bfe632e50();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_d296a20a021e92bc9b37198bfe632e50();
  });
}
